Package org.apache.sling.scriptingbundle.plugin.processor

# Class PathOnlyScriptAnalyser

java.lang.Object
org.apache.sling.scriptingbundle.plugin.processor.PathOnlyScriptAnalyser

public class PathOnlyScriptAnalyser extends Object

## Constructor Summary

Constructors
Constructor
Description
`PathOnlyScriptAnalyser(@NotNull Logger logger, @NotNull Path scriptsDirectory, @NotNull Map<String,String> scriptEngineMappings, @NotNull FileProcessor fileProcessor, boolean inContentPackage)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Capabilities`
`getProvidedScriptCapability(@NotNull Path file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PathOnlyScriptAnalyser

public PathOnlyScriptAnalyser(@NotNull @NotNull Logger logger, @NotNull @NotNull Path scriptsDirectory, @NotNull @NotNull Map<String,String> scriptEngineMappings, @NotNull @NotNull FileProcessor fileProcessor, boolean inContentPackage)

## Method Details

### getProvidedScriptCapability

@NotNull public @NotNull Capabilities getProvidedScriptCapability(@NotNull @NotNull Path file)